/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Feb-28-2011 08:48:17pm
Filepath: scripts\_custom\mobiles\ml\squirrel.cs
Lines of code: 67

Description: 

***********************************************************/


using System;
using Server.Mobiles;

namespace Server.Mobiles
{
	[CorpseName( "a squirrel corpse" )]
	[TypeAlias( "Server.Mobiles.squirrel" )]
	public class squirrel : BaseCreature
	{
	

	
		[Constructable]
		public squirrel() : base( AIType.AI_Melee, FightMode.Aggressor, 10, 1, 0.12, 0.19 )
		{
			Name = "a squirrel";
			Body = 278;
			BaseSoundID = 0x188;
			
			switch (Utility.Random(30))
			{
			case 0: Hue = 551;break;
			case 1: Hue = 556;break;	
			case 2: Hue = 1105;break;	
			case 3: Hue = 1108;break;	
			case 4: Hue = 1111;break;	
			case 5: Hue = 948;break;	
			case 6: Hue = 949;break;	
			case 7: Hue = 950;break;	
			case 8: Hue = 1153;break;
			case 9: Hue = 1154;break;
			}
			
			
			

			SetStr( 5,11 );
			SetDex( 15, 46 );
			SetInt( 26, 42 );

			SetHits( 7, 13 );

			SetDamage( 1, 3 );

			SetDamageType( ResistanceType.Physical, 100 );
		
			
			//default resists
			SetResistance( ResistanceType.Physical, 10, 30 );
			
			//default skills			
			SetSkill( SkillName.Tactics, 39.3, 94.0 );
			SetSkill( SkillName.Wrestling, 39.3, 94.0 );

			Fame = 500;
			Karma = 100;

			VirtualArmor = 18;			

			Tamable = true;
			ControlSlots = 1;
			MinTameSkill = 34.6;
		}

		public override void GenerateLoot()
		{
			AddLoot( LootPack.Poor,3 );
			AddLoot( LootPack.Gems, 2 );
		}

		public override int Meat{ get{ return 1; } }
		public override int Hides{ get{ return 2; } }
		public override bool IsMLCreature { get { return true;} }
		public override FoodType FavoriteFood{ get{ return FoodType.FruitsAndVegies | FoodType.Eggs; } }


		public squirrel(Serial serial) : base(serial)
		{
		}

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
}